package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.service.ShopFavoriteService;
import edu.travel.remote.dto.AddFavoriteDto;
import edu.travel.remote.dto.BaseDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.remote.vo.ShopFavoriteVo;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import static edu.travel.rpc.RPCBaseResponse.success;

/**
* 收藏表(shop_favorite)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopFavorite")
public class ShopFavoriteController {
/**
* 服务对象
*/
    @Autowired
    private ShopFavoriteService shopFavoriteService;

    /**
     *  获取收藏商品
     * @return {@link RPCBaseResponse }<{@link Page }<{@link ShopFavoriteVo }>>
     */
    @GetMapping("/getFavorite")
    public RPCBaseResponse<Page<ShopFavoriteVo>> getFavorite(BaseDto baseDto){
        return success(shopFavoriteService.getFavorite(baseDto));
    }


    /**
     *  添加收藏
     * @param params
     * @return {@link RPCBaseResponse }<{@link Void }>
     */

    @GetMapping("/addFavorite")
    public RPCBaseResponse<Void> addFavorite(@RequestBody AddFavoriteDto params){
        shopFavoriteService.addFavorite(params);
        return success();
    }
}
